﻿const docObj = app.activeDocument;
const docPath = docObj.path;//.path：ファイルが存在する場所（ファイルパス）を取得する
const docName = docObj.name.replace(/.ai/g,'');　//正規表現　文字置換で「.ai」を削除   
const fileName　= docPath + '/' + docName + '_out'; //既存のファイル名に「_out」を追加
const extAi = new File(fileName + '.ai'); //拡張子を追加
docObj.saveAs (extAi);

const pdfOpt = new PDFSaveOptions(); //イラレをPDFで保存する際のオプションを記入
pdfOpt.pDFPreset= "[最小ファイルサイズ]";//プリセットを指定する
const extPdf = new File (fileName + '.pdf');　//拡張子を追加
docObj.saveAs(extPdf,pdfOpt);    //PDFで保存する

//docObj.close(SaveOptions.DONOTSAVECHANGES);   // 保存しないでドキュメントを閉じる 
